Package org.eclipse.birt.report.engine.api.script.eventadapter

# Class AutoTextEventAdapter

java.lang.Object
org.eclipse.birt.report.engine.api.script.eventadapter.AutoTextEventAdapter

All Implemented Interfaces:
  `IAutoTextEventHandler`

public class AutoTextEventAdapter extends Object implements IAutoTextEventHandler
Default (empty) implementation of the IAutoTextEventHandler interface

## Constructor Summary

Constructors
Constructor
Description
`AutoTextEventAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onCreate(IAutoTextInstance autoTextInstance, IReportContext reportContext)`
Handle the onCreate event
`void`
`onPageBreak(IAutoTextInstance autoTextInstance, IReportContext reportContext)`
Handle the onPageBreak event
`void`
`onPrepare(IAutoText autoText, IReportContext reportContext)`
Handle the onPrepare event
`void`
`onRender(IAutoTextInstance autoTextInstance, IReportContext reportContext)`
Handle the onRender event

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AutoTextEventAdapter

public AutoTextEventAdapter()

## Method Details

### onCreate

public void onCreate(IAutoTextInstance autoTextInstance, IReportContext reportContext) throws ScriptException
Description copied from interface: `IAutoTextEventHandler`
Handle the onCreate event

Specified by:
  `onCreate` in interface `IAutoTextEventHandler`
Throws:
  `ScriptException`

### onPageBreak

public void onPageBreak(IAutoTextInstance autoTextInstance, IReportContext reportContext) throws ScriptException
Description copied from interface: `IAutoTextEventHandler`
Handle the onPageBreak event

Specified by:
  `onPageBreak` in interface `IAutoTextEventHandler`
Throws:
  `ScriptException`

### onPrepare

public void onPrepare(IAutoText autoText, IReportContext reportContext) throws ScriptException
Description copied from interface: `IAutoTextEventHandler`
Handle the onPrepare event

Specified by:
  `onPrepare` in interface `IAutoTextEventHandler`
Throws:
  `ScriptException`

### onRender

public void onRender(IAutoTextInstance autoTextInstance, IReportContext reportContext) throws ScriptException
Description copied from interface: `IAutoTextEventHandler`
Handle the onRender event

Specified by:
  `onRender` in interface `IAutoTextEventHandler`
Throws:
  `ScriptException`